# Uses of Class co.aikar.commands.CommandParameter (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, class: CommandParameter

# Uses of Class
co.aikar.commands.CommandParameter

Packages that use CommandParameter
Package
Description
co.aikar.commands

## Uses of CommandParameter in co.aikar.commands

Methods in co.aikar.commands that return CommandParameter
Modifier and Type
Method
Description
`CommandParameter<CEC>`
CommandParameter.`getNextParam()`
`CommandParameter[]`
HelpEntry.`getParameters()`
Methods in co.aikar.commands with parameters of type CommandParameter
Modifier and Type
Method
Description
`abstract CommandExecutionContext`
CommandManager.`createCommandContext(RegisteredCommand command, CommandParameter parameter, CommandIssuer sender, List<String> args, int i, Map<String,Object> passedArgs)`
`@NotNull String[]`
CommandHelpFormatter.`getParameterFormatReplacements(CommandHelp help, CommandParameter param, HelpEntry entry)`
Override this to control replacements
`void`
CommandHelpFormatter.`printDetailedParameter(CommandHelp help, CommandIssuer issuer, HelpEntry entry, CommandParameter param)`
`void`
CommandParameter.`setNextParam(CommandParameter<CEC> nextParam)`